#include <iostream>
int funkcija(int* n,int* p){
   int j,s=0,i=1,k=0;
   while(s<=*n){
     for(int j=1;j<=*p;j++){
       s=s+i;
       if(s>*n)
         return k;
       k++;
     }
    i++;
    j=1;
   }
   return k;
}
int main() {
  int n,m,k,t,s;
  scanf("%d",&t);
  int b[t];
  for(int i=0;i<t;i++){
    scanf("%d%d%d",&n,&m,&k);
    s=funkcija(&m,&k);
    if(n>s)
      b[i]=0;
    else
      b[i]=1;
  }
  for(int i=0;i<t;i++){
    if(b[i]==1)
      printf("Tak");
    else
      printf("Nie");
    printf("\n");
  }
  m=funkcija(&t,&m);
}